Community
cancel
Showing results for 
Search instead for 
Did you mean: 
apigott
Beginner
242 Views

apt install intel-basekit has unmet dependencies

Trying to install the basekit on a Docker image for use with some other packages. I've already put work into this Docker so I'd like to keep it

cat /proc/version

Linux version 4.19.121-linuxkit (root@buildkitsandbox) (gcc version 9.2.0 (Alpine 9.2.0))

 When I run `apt install intel-basekit` I get the following error:

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 intel-basekit : Depends: intel-oneapi-onevpl-devel (>= 2021.1.1-66) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

So I tried installing the dependency intel-oneapi.-onevpl-devel and I get a similar error:

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 intel-oneapi-onevpl-devel-2021.1.1 : Depends: cmake (>= 3.10) but 3.5.1-1ubuntu3 is to be installed
E: Unable to correct problems, you have held broken packages.

I have cmake 3.19 installed and I tried cleaning my apt with `apt-get clean && apt-get update`, `apt-get upgrade` (no errors). I'm not sure where to go from here

 

 

0 Kudos
4 Replies
AbhishekD_Intel
Moderator
219 Views

Hi,


Thanks for reaching out to us.

If you are using Docker for your project then it is recommended to pull the oneAPI docker images.

They have an already pre-configured environment. Please follow the below link for more details.

https://github.com/intel/oneapi-containers


Do let us know if you have any other issues.


Warm Regards,

Abhishek


apigott
Beginner
212 Views

Hm I'd still like to avoid scraping the image I'm working on. Is there another way to pull the basekit?

AbhishekD_Intel
Moderator
120 Views

Hi,


We are moving this thread to the concerned team.


Warm Regards,

Abhishek


Heinrich_B_Intel
Employee
97 Views

Hi Aisling,


I saw that my colleague already recommended the preconfigured oneAPI container. If you still want to build your own container you may start with the online installer option: https://software.intel.com/content/www/us/en/develop/tools/oneapi/base-toolkit/download.html#operati...

This has the advantage that you can select/deselect the tools inside the distribution. If the onevpl (video processing lib.) caused trouble you can simply de-select this package.


Hope this helps,

Heinrich